Debian 9807 Published by

An imagemagick security update has been released for Debian GNU/Linux 11 to address a security issue with the PNG support.



DSA 5347-1: imagemagick security update



- -------------------------------------------------------------------------
Debian Security Advisory DSA-5347-1 security@debian.org
  https://www.debian.org/security/ Moritz Muehlenhoff
February 13, 2023   https://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package : imagemagick
CVE ID : CVE-2022-44267 CVE-2022-44268

Bryan Gonzalez discovered that the PNG support in Imagemagick could be
tricked into embedding the content of an arbitrary file when converting
an image file.

For the stable distribution (bullseye), these problems have been fixed in
version 8:6.9.11.60+dfsg-1.3+deb11u1.

We recommend that you upgrade your imagemagick packages.

For the detailed security status of imagemagick please refer to
its security tracker page at:
  https://security-tracker.debian.org/tracker/imagemagick

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at:   https://www.debian.org/security/